Netskope LogoNetskope Logo
  • Security Services
  • AI Services
  • Networking Services
  • Analytics Services
  • Integrations
  • getting-started.svgGetting Started
    • Support
    • Community
    • Netskope.com
    © 2026 All Rights Reserved. Netskope Inc.
    Home
    REST API
    Public Cloud API Endpoints for REST API v1
    Get a CSA Scan Status

    Get a CSA Scan Status

    This endpoint provides the status of a CSA scan.

    Request

    GET https://<tenant-URL>/api/v1/csa_scan?token=<token>&op=status&scan_id=<hash>

    Valid parameters are:

    KeyValueDescription
    opstatusReturns the status of the scan. 
    scan_idHash of the scan ID returned when starting a scan.Required for scan status. Provides the ID of the scan for for which you want status. If an incorrect ID is provided, it will return an empty response.

    Request and Response Example

    curl -X GET https://<tenant-URL>/api/v1/csa_scan?token=<token>&op=status&scan_id=<hash>
    
    {
        "status": "success",
        "msg": "",
        "data": {
            "scan_results": [
                {
                    "status": "In progress",
                    "instance": "test-policy",
                    "appname": "aws",
                    "scan_start_time": 1569867918.178233,
                    "policy_name": "aws-policy"
                }
            ],
            "errors": [],
            "scan_started_by": ""
        }
    }
    In this Topic
    • Get a CSA Scan Status